<?php

namespace Lc\CaracoleBundle\Form\Merchant;

use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Resolver\MerchantResolver;
use Lc\SovBundle\Doctrine\EntityManager;
use Lc\SovBundle\Model\User\UserInterface;
use Lc\SovBundle\Translation\TranslatorAdmin;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\HiddenType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class SwitchMerchantButtonAdminFormType extends AbstractType
{
    protected $em;
    protected $translatorAdmin;
    protected $merchantResolver;

    public function __construct(EntityManager $em, TranslatorAdmin $translatorAdmin, MerchantResolver $merchantResolver)
    {
        $this->em = $em;
        $this->translatorAdmin = $translatorAdmin;
        $this->merchantResolver = $merchantResolver;
    }

    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder->add(
                'merchant',
                HiddenType::class,
                [
                        'data' => $options['merchant']
                ]
        );

        $builder->add(
                'context',
                HiddenType::class,
                [
                        'data' => 'admin'
                ]
        );
    }

    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(
                [
                        'merchant' => $this->merchantResolver->getCurrent(),
                ]
        );
    }

}
